package com.dafay.demo.viewbinding

import android.os.Bundle
import android.util.Log
import android.view.View
import com.dafay.demo.viewbinding.base.BaseFragment
import com.dafay.demo.viewbinding.databinding.FragmentTest01Binding

class Test01Fragment : BaseFragment<FragmentTest01Binding>(FragmentTest01Binding::inflate) {
    private val TAG = Test01Fragment::class.java.simpleName

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        Log.d(TAG, "onViewCreated()")
    }

    override fun onDestroyView() {
        super.onDestroyView()
        Log.d(TAG, "onDestroyView()")
    }

    override fun onDestroy() {
        super.onDestroy()
        Log.d(TAG, "onDestroy()")
    }
}